From f946b02bbb4e30bc250bf7386556c970ddb7dfbd Mon Sep 17 00:00:00 2001
From: Kyotaro Horiguchi <horikyota.ntt@gmail.com>
Date: Tue, 25 Feb 2025 13:57:03 +0900
Subject: [PATCH] Merge split string literals into a single message

A recently added option description was split across two output
commands, making the message untranslatable. Merge them into a single
message.
---
 src/bin/pg_upgrade/option.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/bin/pg_upgrade/option.c b/src/bin/pg_upgrade/option.c
index fe716c4c805..188dd8d8a8b 100644
--- a/src/bin/pg_upgrade/option.c
+++ b/src/bin/pg_upgrade/option.c
@@ -323,8 +323,8 @@ usage(void)
 	printf(_("  --copy                        copy files to new cluster (default)\n"));
 	printf(_("  --copy-file-range             copy files to new cluster with copy_file_range\n"));
 	printf(_("  --no-statistics               do not import statistics from old cluster\n"));
-	printf(_("  --set-char-signedness=OPTION  set new cluster char signedness to \"signed\" or\n"));
-	printf(_("                                \"unsigned\"\n"));
+	printf(_("  --set-char-signedness=OPTION  set new cluster char signedness to \"signed\" or\n"
+			 "                                \"unsigned\"\n"));
 	printf(_("  --sync-method=METHOD          set method for syncing files to disk\n"));
 	printf(_("  -?, --help                    show this help, then exit\n"));
 	printf(_("\n"
-- 
2.43.5

